extends Node2D

@onready var introTimer = $"Intro-Timer"
@export var sceneToLoad = "res://Triple-Tyrant/TripTy-Scenes/TripTy-NSFW-Splash-Scene.tscn"

func _ready():
	introTimer.start()
	TripTyAudioStreamHolder.playIntroChime()

func _process(delta):
	if(Input.is_action_just_pressed("mouse-left-click") || Input.is_action_just_pressed("ui_accept")):
		loadNextScene()

func loadNextScene():
	TransitionManager.transitionClose(sceneToLoad, false)	

func _on_intro_timer_timeout():
	loadNextScene()
