extends CanvasLayer

var scenePath = ""
var isOpen = true
var isRestart
@onready var transitionAnimPlayer = $"Transition-Player"
# var isWebBuild  = false # if web build, fade music 

func _process(delta):
	if(Input.is_action_just_pressed("restart")):
		transitionClose(get_tree().current_scene.name, true)

func transitionOpen():
	transitionAnimPlayer.play("Transition-Open")
	
func transitionClose(sceneToLoad, restart):
	isRestart = restart
	scenePath = sceneToLoad
	transitionAnimPlayer.play("Transition-Close")
	
func playTransitionCloseClip():
	TripTyAudioStreamHolder.playTransitionClose()
	
func playTransitionOpenClip():
	TripTyAudioStreamHolder.playTransitionOpen()

func _on_transition_player_animation_finished(anim_name):
	if(scenePath != "" && anim_name == "Transition-Close" && isRestart):
		get_tree().reload_current_scene()
		isRestart = false
		transitionOpen()
		
	elif(scenePath != "" && anim_name == "Transition-Close"):
		get_tree().change_scene_to_file(scenePath)
		transitionOpen()

