extends Node2D


@onready var moanMouthOpenSoftVoiceClips = [
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Mouth Open Soft/Moan Mouth Open Soft-0.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Mouth Open Soft/Moan Mouth Open Soft-1.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Mouth Open Soft/Moan Mouth Open Soft-2.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Mouth Open Soft/Moan Mouth Open Soft-3.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Mouth Open Soft/Moan Mouth Open Soft-4.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Mouth Open Soft/Moan Mouth Open Soft-5.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Mouth Open Soft/Moan Mouth Open Soft-6.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Mouth Open Soft/Moan Mouth Open Soft-7.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Mouth Open Soft/Moan Mouth Open Soft-8.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Mouth Open Soft/Moan Mouth Open Soft-9.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Mouth Open Soft/Moan Mouth Open Soft-10.wav"),]

@onready var moanTeethGritHardVoiceClips = [
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Teeth Grit Hard/Moan Teeth Grit Hard-0.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Teeth Grit Hard/Moan Teeth Grit Hard-1.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Teeth Grit Hard/Moan Teeth Grit Hard-2.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Teeth Grit Hard/Moan Teeth Grit Hard-3.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Teeth Grit Hard/Moan Teeth Grit Hard-4.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Teeth Grit Hard/Moan Teeth Grit Hard-5.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Teeth Grit Hard/Moan Teeth Grit Hard-6.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Teeth Grit Hard/Moan Teeth Grit Hard-7.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Teeth Grit Hard/Moan Teeth Grit Hard-8.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Teeth Grit Hard/Moan Teeth Grit Hard-9.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Voice-Clips/Moan Teeth Grit Hard/Moan Teeth Grit Hard-10.wav"),]
	
@onready var squishSoundClips = [
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-0.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-1.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-2.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-3.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-4.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-5.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-6.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-7.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-8.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-9.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-10.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-11.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-12.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-13.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Squish-SFX/Squish-14.wav"),]
	
@onready var oralDownSoundClips = [
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-0.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-1.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-2.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-4.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-5.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-7.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-8.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-10.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-11.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-12.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-13.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-14.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Down/Oral-Down-15.wav")]
	
@onready var oralUpSoundClips = [
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-0.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-1.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-2.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-3.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-4.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-5.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-6.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-7.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-8.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-9.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-10.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-11.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-12.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-13.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-14.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Up/Oral-Up-15.wav")]
	
@onready var cumSoundClips = [
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Cum-SFX/nut-01.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Cum-SFX/nut-02.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Cum-SFX/nut-03.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Cum-SFX/nut-04.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Cum-SFX/nut-05.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Cum-SFX/nut-06.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Cum-SFX/nut-07.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Cum-SFX/nut-08.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Cum-SFX/nut-09.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Cum-SFX/nut-10.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Cum-SFX/nut-11.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Cum-SFX/nut-12.wav"),
]

@onready var breatheSoundClips = [
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Breathes-SFX/Breathe-0.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Breathes-SFX/Breathe-1.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Breathes-SFX/Breathe-2.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Breathes-SFX/Breathe-3.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Breathes-SFX/Breathe-4.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Breathes-SFX/Breathe-5.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Breathes-SFX/Breathe-6.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Breathes-SFX/Breathe-7.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Breathes-SFX/Breathe-8.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Breathes-SFX/Breathe-9.ogg")
]

@onready var oralMoanSoftSoundClips = [
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Soft/BJ-Moan-Soft-0.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Soft/BJ-Moan-Soft-1.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Soft/BJ-Moan-Soft-2.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Soft/BJ-Moan-Soft-3.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Soft/BJ-Moan-Soft-4.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Soft/BJ-Moan-Soft-5.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Soft/BJ-Moan-Soft-6.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Soft/BJ-Moan-Soft-7.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Soft/BJ-Moan-Soft-8.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Soft/BJ-Moan-Soft-9.ogg")
]

@onready var oralMoanHardSoundClips = [
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Hard/BJ-Moan-Hard-0.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Hard/BJ-Moan-Hard-1.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Hard/BJ-Moan-Hard-2.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Hard/BJ-Moan-Hard-3.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Hard/BJ-Moan-Hard-4.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Hard/BJ-Moan-Hard-5.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Hard/BJ-Moan-Hard-6.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Hard/BJ-Moan-Hard-7.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Hard/BJ-Moan-Hard-8.ogg"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Oral-SFX/Oral-Moan-Hard/BJ-Moan-Hard-9.ogg"),
]

@onready var popSoundClips = [
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Pop-SFX/pop-01.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Pop-SFX/pop-02.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Pop-SFX/pop-03.wav"),
]

@onready var slapSoundClips = [
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Slap-SFX/slap0.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Slap-SFX/slap1.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Slap-SFX/slap2.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Slap-SFX/slap3.wav"),
	preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Slap-SFX/slap4.wav"),
]

@onready var candleFireIgniteClip = preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/fire-ignite.ogg")

@onready var tranisitionClose = preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/TripTy-Transition-Slam.ogg")
@onready var transitionOpen = preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/TripTy-Transition-Open.ogg")	
	
@onready var introChime = preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/intro-chime.wav")
@onready var demonicRoar = preload("res://Triple-Tyrant/TripTy-SFX/TripTy-Sex-SFX/Trip-Ty-Demon-Roar.ogg")

@onready var titleTheme = preload("res://Triple-Tyrant/TripTy-Music/yukokunoactuality-Looped.ogg")
@onready var bedRoomTheme = preload("res://Triple-Tyrant/TripTy-Music/garasugoshinoyutsu-Looped.ogg")

@onready var musicStream = $"Music-AudioStream"
@onready var voiceStream = $"Voice-AudioStream"
@onready var slapStream = $"Slap-AudioStream"
@onready var sexStream = $"Sex-AudioStream"
@onready var popStream = $"Pop-AudioStream"
@onready var oralStream = $"Oral-AudioStream"
@onready var cumStream = $"Cum-AudioStream"
@onready var transitionStream = $"Transition-AudioStream"
@onready var candleStream = $"Candle-AudioStream"
@onready var menuStream = $"Menu-AudioStream"

var lastVoiceClipNum = 0
var lastSquishClipNum = 0
var lastOralDownClipNum = 0
var lastOralUpClipNum = 0
var lastCumClipNum = 0
var lastBreatheClipNum = 0
var lastOralMoanSoftClipNum = 0
var lastOralMoanHardClipNum = 0
var lastSlapClipNum = 0

var curSong = ""

func playtitleTheme():
	musicStream.stream = titleTheme
	musicStream.play()
	curSong = "title"
	
func playBedRoomTheme():
	musicStream.stream = bedRoomTheme
	musicStream.play()
	curSong = "bedRoom"
	
func playIntroChime():
	sexStream.stream = introChime
	sexStream.play()
	
func playFireIgnite():
	candleStream.stream = candleFireIgniteClip
	candleStream.play()
	
func playTransitionClose():
	transitionStream.stream = tranisitionClose
	transitionStream.play()
	
func playTransitionOpen():
	transitionStream.stream = transitionOpen
	transitionStream.play()
	
func playDemonicRoar():
	menuStream.stream  = demonicRoar
	menuStream.play()

func playRandomMoanMouthOpenSoftVoice():
	
	var randVoiceClip = randi_range(0, moanMouthOpenSoftVoiceClips.size()-1)
	#print("Clip num: " + str(randVoiceClip))
	#print("Last num: " + str(lastVoiceClipNum))
	
	if(randVoiceClip == lastVoiceClipNum):
		#print("Same")
		if(randVoiceClip+1 < moanMouthOpenSoftVoiceClips.size()-1):
			randVoiceClip += 1
			#print("parry Up")
		else:
			randVoiceClip -= 1
			#print("parry Down")
	lastVoiceClipNum = randVoiceClip
	
	voiceStream.stream = moanMouthOpenSoftVoiceClips[randVoiceClip]
	voiceStream.play()
	
func playRandomMoanTeethGritHardVoice():
	var randVoiceClip = randi_range(0, moanTeethGritHardVoiceClips.size()-1)
	if(randVoiceClip == lastVoiceClipNum):
		if(randVoiceClip+1 < moanTeethGritHardVoiceClips.size()-1):
			randVoiceClip += 1
		else:
			randVoiceClip -= 1
	lastVoiceClipNum = randVoiceClip
	voiceStream.stream = moanTeethGritHardVoiceClips[randVoiceClip]
	voiceStream.play()
	
func playRandomSexSFX():
	var randSquishClip = randi_range(0, squishSoundClips.size()-1)
	if(randSquishClip == lastSquishClipNum):
		if(randSquishClip+1 < squishSoundClips.size()):
			randSquishClip += 1
		else:
			randSquishClip -= 1
	lastSquishClipNum = randSquishClip
	sexStream.stream = squishSoundClips[randSquishClip]
	sexStream.play()
	
func playRandomOralDownSFX():
	var randOralDownClip = randi_range(0, oralDownSoundClips.size()-1)
	if(randOralDownClip == lastSquishClipNum):
		if(randOralDownClip+1 < oralDownSoundClips.size()):
			randOralDownClip += 1
		else:
			randOralDownClip -= 1
	lastOralDownClipNum = randOralDownClip
	oralStream.stream = oralDownSoundClips[randOralDownClip]
	oralStream.play()
	
func playRandomOralUpSFX():
	var randOralUpClip = randi_range(0, oralUpSoundClips.size()-1)
	if(randOralUpClip == lastOralUpClipNum):
		if(randOralUpClip+1 < oralUpSoundClips.size()):
			randOralUpClip += 1
		else:
			randOralUpClip -= 1
	lastOralUpClipNum = randOralUpClip
	oralStream.stream = oralUpSoundClips[randOralUpClip]
	oralStream.play()
	
func playRandomCumSFX():
	var randCumClip = randi_range(0, cumSoundClips.size()-1)
	if(randCumClip == lastCumClipNum):
		if(randCumClip+1 < cumSoundClips.size()):
			randCumClip += 1
		else:
			randCumClip -= 1
	lastCumClipNum = randCumClip
	cumStream.stream = cumSoundClips[randCumClip]
	cumStream.play()
	
func playRandomBreatheSFX():
	var randBreatheClip = randi_range(0, breatheSoundClips.size()-1)
	if(randBreatheClip == lastBreatheClipNum):
		if(randBreatheClip+1 < breatheSoundClips.size()):
			randBreatheClip += 1
		else:
			randBreatheClip -= 1
	lastBreatheClipNum = randBreatheClip
	voiceStream.stream = breatheSoundClips[randBreatheClip]
	voiceStream.play()
	
func playRandomOralMoanSoftSFX():
	var randOralMoanSoftClip = randi_range(0, oralMoanSoftSoundClips.size()-1)
	if(randOralMoanSoftClip == lastOralMoanSoftClipNum):
		if(randOralMoanSoftClip+1 < oralMoanSoftSoundClips.size()):
			randOralMoanSoftClip += 1
		else:
			randOralMoanSoftClip -= 1
	lastOralMoanSoftClipNum = randOralMoanSoftClip
	voiceStream.stream = oralMoanSoftSoundClips[randOralMoanSoftClip]
	voiceStream.play()
	
func playRandomOralMoanHardSFX():
	var randOralMoanHardClip = randi_range(0, oralMoanHardSoundClips.size()-1)
	if(randOralMoanHardClip == lastOralMoanHardClipNum):
		if(randOralMoanHardClip+1 < oralMoanHardSoundClips.size()):
			randOralMoanHardClip += 1
		else:
			randOralMoanHardClip -= 1
	lastOralMoanHardClipNum = randOralMoanHardClip
	voiceStream.stream = oralMoanHardSoundClips[randOralMoanHardClip]
	voiceStream.play()
	
func playRandPop():
	var randPopClip = randi_range(0, popSoundClips.size()-1)
	popStream.stream = popSoundClips[randPopClip]
	popStream.play()
	
func playRandomSlapSFX():
	var randSlapClip = randi_range(0, slapSoundClips.size()-1)
	if(randSlapClip == lastSlapClipNum):
		if(randSlapClip+1 < slapSoundClips.size()):
			randSlapClip += 1
		else:
			randSlapClip -= 1
	lastSlapClipNum = randSlapClip
	slapStream.stream = slapSoundClips[randSlapClip]
	slapStream.play()
	
func chanceplayRandomMoanMouthOpenSoftVoice(chance):
	var randNum = randi_range(0,100)
	if(randNum < chance):
		#print("play rand")
		playRandomMoanMouthOpenSoftVoice()
		

